org.apache.felix.gogo.shell

## Class Telnet

- java.lang.Object
- - org.apache.felix.gogo.shell.Telnet

All Implemented Interfaces:
  Runnable

    public class Telnet
    extends Object
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`Telnet(org.apache.felix.service.command.CommandProcessor procesor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`
`void` `telnetd(String[] argv)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Telnet

    public Telnet(org.apache.felix.service.command.CommandProcessor procesor)

### Method Detail

#### telnetd

    public void telnetd(String[] argv)
                 throws IOException

Throws:
  `IOException`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`